OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | List of all members
PointDataNodeChain< HeadT, HeadLevel > Struct Template Reference

Recursive node chain which generates a openvdb::TypeList value converted types of nodes to PointDataGrid nodes of the same configuration, rooted at RootNodeType in reverse order, from LeafNode to RootNode. See also TreeConverter<>. More...

`#include <openvdb/points/PointDataGrid.h>`

## Public Types
using | SubtreeT = typename PointDataNodeChain< typename HeadT::ChildNodeType, HeadLevel-1 >::Type
using | RootNodeT = tree::RootNode< typename SubtreeT::Back >
using | Type = typename SubtreeT::template Append< RootNodeT >

## Detailed Description

template<typename HeadT, int HeadLevel>
struct openvdb::v11_0::points::internal::PointDataNodeChain< HeadT, HeadLevel >

Recursive node chain which generates a openvdb::TypeList value converted types of nodes to PointDataGrid nodes of the same configuration, rooted at RootNodeType in reverse order, from LeafNode to RootNode. See also TreeConverter<>.

## Member Typedef Documentation

## ◆ RootNodeT

template<typename HeadT , int HeadLevel>

using RootNodeT = tree::RootNode<typename SubtreeT::Back>

## ◆ SubtreeT

template<typename HeadT , int HeadLevel>

using SubtreeT = typename PointDataNodeChain<typename HeadT::ChildNodeType, HeadLevel-1>::Type

## ◆ Type

template<typename HeadT , int HeadLevel>

using Type = typename SubtreeT::template Append<RootNodeT>